Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class PerClassAccuracyEvaluator

    java.lang.Object
      cc.mallet.fst.TransducerEvaluator
          cc.mallet.fst.PerClassAccuracyEvaluator

    public class PerClassAccuracyEvaluator

extends TransducerEvaluator

Determines the precision, recall and F1 on a per-class basis.

Version:
  $Id: PerClassAccuracyEvaluator.java,v 1.1 2007/10/22 21:37:48 mccallum Exp $
Author:
  Charles Sutton

Field Summary

Fields inherited from class cc.mallet.fst.TransducerEvaluator
`instanceListDescriptions, instanceLists`

Constructor Summary
`PerClassAccuracyEvaluator(InstanceList[] instanceLists, java.lang.String[] descriptions)`
`PerClassAccuracyEvaluator(InstanceList i1, java.lang.String d1)`
`PerClassAccuracyEvaluator(InstanceList i1, java.lang.String d1, InstanceList i2, java.lang.String d2)`

Method Summary
`void` | `evaluateInstanceList(TransducerTrainer tt, InstanceList data, java.lang.String description)`

Methods inherited from class cc.mallet.fst.TransducerEvaluator
`evaluate, preamble, precondition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerClassAccuracyEvaluator

    public PerClassAccuracyEvaluator(InstanceList[] instanceLists,
                                     java.lang.String[] descriptions)

### PerClassAccuracyEvaluator

    public PerClassAccuracyEvaluator(InstanceList i1,
                                     java.lang.String d1)

### PerClassAccuracyEvaluator

    public PerClassAccuracyEvaluator(InstanceList i1,
                                     java.lang.String d1,
                                     InstanceList i2,
                                     java.lang.String d2)

Method Detail

### evaluateInstanceList

    public void evaluateInstanceList(TransducerTrainer tt,
                                     InstanceList data,
                                     java.lang.String description)

  Specified by:
    `evaluateInstanceList` in class `TransducerEvaluator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD